Skip to main content
GET
/
api
/
documents
/
{document_id}
Get a document by ID
curl --request GET \
  --url https://api.example.com/api/documents/{document_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/documents/{document_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "owner": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "page_count": 123,
  "chunk_count": 123,
  "subtype": "<string>",
  "datahub_urn": "<string>",
  "extraction_warning": "<string>",
  "suggested_summary": "<string>",
  "error": "<string>",
  "s3_key": "<string>",
  "suggested_tags": [
    {
      "name": "<string>",
      "is_existing": false,
      "urn": "<string>"
    }
  ],
  "suggested_glossary_terms": [
    {
      "name": "<string>",
      "is_existing": false,
      "urn": "<string>"
    }
  ],
  "suggested_domain": {
    "name": "<string>",
    "is_existing": false,
    "urn": "<string>"
  }
}
{
"error": "<string>",
"code": 500
}
{
"error": "<string>",
"code": 500
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

document_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
filename
string
required
owner
string
required
mime_type
string
required
size_bytes
integer
required
page_count
integer | null
required
chunk_count
integer | null
required
subtype
string | null
required
status
enum<string>
required

Lifecycle status of an ingested document.

Available options:
uploading,
extracting,
ocr_required,
indexed,
failed
enrichment_status
enum<string>
required

Crew-driven enrichment lifecycle.

Available options:
pending,
running,
awaiting_review,
confirmed,
failed
datahub_urn
string | null
required
extraction_warning
string | null
required
suggested_summary
string | null
required
error
string | null
required
s3_key
string | null
required
suggested_tags
SuggestionItem · object[]
suggested_glossary_terms
SuggestionItem · object[]
suggested_domain
SuggestionItem · object | null

A flagged enrichment suggestion for a tag, glossary term, or domain.